///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Out-Of-Bounds Exception Class Implementation
//
///////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Copyright 1987-2022 PARMAVEX SERVICES
//
// Licensed under the European Union Public Licence (EUPL), Version 1.1 or -
// as soon they will be approved by the European Commission - subsequent
// versions of the EUPL (the "Licence"). You may not use this work except in
// compliance with the Licence. You may obtain a copy of the Licence at:
//
// http://ec.europa.eu/idabc/eupl
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the Licence is distributed on an "AS IS" basis,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the Licence for the specific language governing permissions and
// limitations under the Licence. This source code is free software. It
// must not be sold, leased, rented, sub-licensed or used for any form of
// monetary recompense whatsoever. This notice must not be removed or altered
// from this source distribution.
//
///////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
// Remarks
///////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
// Include Files
///////////////////////////////////////////////////////////////////////////////////////////////////

// 1. Own Interface
#include "PxsBase/Header Files/BoundsException.h"

// 2. C System Files

// 3. C++ System Files

// 4. Other Libraries

// 5. This Project

///////////////////////////////////////////////////////////////////////////////////////////////////
// Construction/Destruction
///////////////////////////////////////////////////////////////////////////////////////////////////

// Default constructor
BoundsException::BoundsException()
                :Exception( PXS_ERROR_TYPE_APPLICATION,
                            PXS_ERROR_OUT_OF_BOUNDS,
                            nullptr,
                            nullptr )
{
}

// Constructor with additional details and the throwing method/function
BoundsException::BoundsException( LPCWSTR pszDetails, const char* pszFunction )
                :Exception( PXS_ERROR_TYPE_APPLICATION,
                            PXS_ERROR_OUT_OF_BOUNDS,
                            pszDetails,
                            pszFunction )
{
}

// Copy constructor
BoundsException::BoundsException( const BoundsException& oBounds )
                :BoundsException()
{
    *this = oBounds;
}

// Destructor - do not throw any exceptions
BoundsException::~BoundsException()
{
}

///////////////////////////////////////////////////////////////////////////////////////////////////
// Operators
///////////////////////////////////////////////////////////////////////////////////////////////////

// Assignment operator
BoundsException& BoundsException::operator= ( const BoundsException& oBounds )
{
    if ( this == &oBounds ) return *this;

    // Base class
    Exception::operator= ( oBounds );

    return *this;
}

///////////////////////////////////////////////////////////////////////////////////////////////////
// Public Methods
///////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////
// Protected Methods
///////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////
// Private Methods
///////////////////////////////////////////////////////////////////////////////////////////////////
